package com.kuyuntech.cofarcooking.device.sdk.devmode.core;

import com.kuyuntech.cofarcooking.device.sdk.constant.core.MotorDirections;
import com.kuyuntech.cofarcooking.device.sdk.constant.core.WorkModes;
import com.kuyuntech.cofarcooking.device.sdk.util.core.CofarSDK;

public class Chop extends BaseDevMode{

    private boolean startCount = false;

    public Chop(){

        this.setMode(WorkModes.CHOP);

        //时间
        this.setMinTime(10);
        this.setMaxTime(4 * 60 );
        this.setDefaultTime(10);
        this.setTimeChange(true);

        //电机
        this.setDefaultMotorGear(6);
        this.setMaxMotorGear(12);
        this.setMinMotorGear(1);
        this.setMotorGearChange(true);
        this.setMotorDirectionChange(false);
        this.setMotorDirection(MotorDirections.FORWARD);

        //温度
        this.setDefaultTemp(0);
        this.setMinTemp(0);
        this.setMaxTemp(0);
        this.setTempChange(false);

    }




}
